#!/usr/bin/perl -w

# Copyright 2001 Benjamin Trott. This code cannot be redistributed without
# permission from www.movabletype.org.
#
# $Id: mt-check.cgi,v 1.7 2001/10/22 03:42:07 btrott Exp $
use strict;

local $|=1;

my($MT_DIR);
BEGIN {
    if ($0 =~ m!(.*[/\\])!) {
        $MT_DIR = $1;
    } else {
        $MT_DIR = './';
    }
    unshift @INC, $MT_DIR . 'lib';
    unshift @INC, $MT_DIR . 'extlib';
}

print "Content-Type: text/html\n\n";
print "<pre>\n";

my $is_good = 1;

print <<HTML;
Movable Type [mt-check.cgi]

HTML

print "Checking for HTML::Template...\n";
eval {
    require HTML::Template;
    HTML::Template->VERSION < 2 && die;
};
if ($@) {
    $is_good = 0;
    print <<HTML;
    Either your server does not have HTML::Template installed, or the
    version that is installed is too old. HTML::Template is required for
    all Movable Type application functionality. Please consult the
    installation instructions for help in installing HTML::Template.
HTML
} else {
    print "    Your server has HTML::Template installed.\n\n";
}

print "Checking for Image::Size...\n";
eval {
    require Image::Size;
};
if ($@) {
    $is_good = 0;
    print <<HTML;
    Your server does not have Image::Size installed. Image::Size is
    required for file uploads (to determine the size of uploaded images
    in many different formats). Please consult the installation
    instructions for help in installing Image::Size.
HTML
} else {
    print "    Your server has Image::Size installed.\n\n";
}

if ($is_good) {
    print <<HTML;
Your server has both HTML::Template and Image::Size; you do not need to
install either module. Continue with the installation instructions in the
section "Setting up your Blog Directories".
HTML
}

print "</pre>\n";
